declare class TreeNode<T, K> {
    static TreeNodeColorType: {
        red: true;
        black: false;
    };
    color: boolean;
    key: T | null;
    value: K | null;
    parent: TreeNode<T, K> | null;
    brother: TreeNode<T, K> | null;
    leftChild: TreeNode<T, K> | null;
    rightChild: TreeNode<T, K> | null;
    constructor(key?: T, value?: K);
    rotateLeft(): TreeNode<T, K>;
    rotateRight(): TreeNode<T, K>;
    remove(): void;
}
export default TreeNode;
