import { ContainerType } from "../Base/Base";
export declare type SetType<T> = {
    insert: (element: T) => void;
    find: (element: T) => boolean;
    union: (other: SetType<T>) => void;
    getHeight: () => number;
} & ContainerType<T>;
declare const _default: new <T>(arr?: T[] | undefined, cmp?: ((x: T, y: T) => number) | undefined) => SetType<T>;
export default _default;
